import axios from '@/utils/request'

export function desOrderPage(query) {
  return axios({
    url: "/udiwms/collect/fifo/desOrder/filter",
    method: "get",
    params: query
  });
}


export function getBizDetailList(query) {
  return axios({
    url: "/udiwms/collect/fifo/desOrder/detail",
    method: "get",
    params: query
  });
}

export function getCodeList(query) {
  return axios({
    url: "/udiwms/basic/collect/desOrder/code/detail",
    method: "get",
    params: query
  });
}


export function destroyOut(query) {
  return axios({
    url: "/udiwms/collect/fifo/desOrder/destroyOut",
    method: "post",
    data: query
  });
}

export function destroyOutByCode(query) {
  return axios({
    url: "/udiwms/collect/fifo/desOrder/destroyOutByCode",
    method: "post",
    data: query
  });
}

export function destroySplitOut(query) {
  return axios({
    url: "/udiwms/collect/split/desOrder/destroyOut",
    method: "post",
    data: query
  });
}
